Skip to main content
GET
Get Authenticated User Information

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Response

200 - application/vnd.xplenty+json; version=2

Successful response

id
integer
name
string
email
string<email>
avatar_url
string<uri>
api_key
string
time_zone
string
location
string
confirmed
boolean
confirmed_at
string<date-time> | null
notifications_count
integer
unread_notifications_count
integer
notification_settings
object
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
html_url
string<uri>
last_login
string<date-time> | null
Last modified on July 14, 2026